[Qa-jenkins-scm] [jenkins.debian.net] 01/01: fixup ee696ff even more: reproducible archlinux maintenance

Holger Levsen holger at moszumanska.debian.org
Fri Dec 11 14:28:23 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 88e7c6c70d0ab5b6d6388dd89f7cf979c759ce12
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Dec 11 15:28:10 2015 +0100

    fixup ee696ff even more: reproducible archlinux maintenance
---
 bin/reproducible_build_archlinux_pkg.sh | 13 +++++++------
 bin/reproducible_common.sh              |  2 +-
 bin/reproducible_maintenance.sh         |  2 +-
 3 files changed, 9 insertions(+), 8 deletions(-)

diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index c0a651b..18426ac 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -170,9 +170,10 @@ second_build() {
 remote_build() {
 	local BUILDNR=$1
 	local NODE=$ARCHLINUX_BUILD_NODE
+	local FQDN=$NODE.debian.net
 	local PORT=22
 	set +e
-	ssh -p $PORT $NODE /bin/true
+	ssh -p $PORT $FQDN /bin/true
 	RESULT=$?
 	# abort job if host is down
 	if [ $RESULT -ne 0 ] ; then
@@ -181,25 +182,25 @@ remote_build() {
 		sleep ${SLEEPTIME}m
 		exec /srv/jenkins/bin/abort.sh
 	fi
-	ssh -p $PORT $NODE /srv/jenkins/bin/reproducible_build_archlinux_pkg.sh $BUILDNR $REPOSITORY ${SRCPACKAGE} ${TMPDIR}
+	ssh -p $PORT $FQDN /srv/jenkins/bin/reproducible_build_archlinux_pkg.sh $BUILDNR $REPOSITORY ${SRCPACKAGE} ${TMPDIR}
 	RESULT=$?
 	if [ $RESULT -ne 0 ] ; then
-		ssh -p $PORT $NODE "rm -r $TMPDIR" || true
+		ssh -p $PORT $FQDN "rm -r $TMPDIR" || true
 		handle_remote_error "with exit code $RESULT from $NODE for build #$BUILDNR for ${SRCPACKAGE} from $REPOSITORY"
 	fi
-	rsync -e "ssh -p $PORT" -r $NODE:$TMPDIR/b$BUILDNR $TMPDIR/
+	rsync -e "ssh -p $PORT" -r $FQDN:$TMPDIR/b$BUILDNR $TMPDIR/
 	RESULT=$?
 	if [ $RESULT -ne 0 ] ; then
 		echo "$(date -u ) - rsync from $NODE failed, sleeping 2m before re-trying..."
 		sleep 2m
-		rsync -e "ssh -p $PORT" -r $NODE:$TMPDIR/b$BUILDNR $TMPDIR/
+		rsync -e "ssh -p $PORT" -r $FQDN:$TMPDIR/b$BUILDNR $TMPDIR/
 		RESULT=$?
 		if [ $RESULT -ne 0 ] ; then
 			handle_remote_error "when rsyncing remote build #$BUILDNR results from $NODE"
 		fi
 	fi
 	ls -R $TMPDIR
-	ssh -p $PORT $NODE "rm -r $TMPDIR"
+	ssh -p $PORT $FQDN "rm -r $TMPDIR"
 	set -e
 }
 
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 3cf4876..bf218f7 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -53,7 +53,7 @@ BUILD_ENV_VARS="ARCH NUM_CPU CPU_MODEL DATETIME KERNEL1 KERNEL2" # these also ne
 USERTAGS="toolchain infrastructure timestamps fileordering buildpath username hostname uname randomness buildinfo cpu signatures environment umask ftbfs locale"
 
 # common settings for testing Archlinux
-ARCHLINUX_BUILD_NODE=profitbricks-build3-amd64.debian.net
+ARCHLINUX_BUILD_NODE=profitbricks-build3-amd64
 ARCHLINUX_REPOS="core extra"
 
 # number of cores to be used
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 9e273c9..8f8a2b3 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -103,7 +103,7 @@ done
 set -e
 
 # for Archlinux
-if [ "$(hostname -f)" = "${ARCHLINUX_BUILD_NODE}" ] ; then
+if [ "$HOSTNAME" = "${ARCHLINUX_BUILD_NODE}" ] ; then
 	echo "$(date -u) - updating Archlinux schroot now."
 	schroot --directory /tmp -c source:jenkins-reproducible-archlinux -u root -- pacman -Syu --noconfirm
 	echo "$(date -u) - updating Archlinux schroot done."

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list